from flask import Flask, render_template
import random

app = Flask(__name__)


def donnees():
    r = list(range(100))
    random.shuffle(r)
    return r


@app.route("/")
def home():
    return render_template("mapage.html")


@app.route("/data")
def affiche_donnees():
    return render_template("data.html",
                           tab=donnees())


if __name__ == "__main__":
    app.run(port=8080)

