from flask import Flask
from flask import render_template

app = Flask(__name__)


@app.route("/")
def hello_world():
    return "<p>Hello, World!</p>"


@app.route("/mapage")
def vers_ma_page():
    return render_template("mapage.html")


@app.route("/perso/<nom>")
def vers_page_user(nom):
    nom = nom.capitalize()
    return render_template("pageperso.html",
                           lenom=nom)


if __name__ == "__main__":
    app.run(port=8080)

