import csv

def estValide(login,mdp):
    '''
    Cette fonction permet de vérifier si le login existe dans la liste des utilisateurs
    et si le mot de passe est valide.
    Elle prend en paramètres:
    login: nom utilisateur
    mdp: mot de passe
    Elle renvoit True si les informations utilisateurs sont validées et False sinon
    '''    
    comptes=[]
    nom_fichier="data/comptes.csv"
    #ouverture du fichier
    fichier_lecture_seule = open(nom_fichier,'r',encoding="utf-8")
    comptes=list(csv.reader(fichier_lecture_seule,delimiter=";"))
    
    #parcours de la liste des comptes
    trouve=False
    correct=False
    indice=0 #indice de l'élément en cours d'examen
    while indice <len(comptes) and not trouve:
        if comptes[indice][0]== login:
            trouve=True #le compte est bien dans la liste
            correct=comptes[indice][1]==mdp # correct sera à True si nous avons le bon mot de passe sinon False                
        else: #on passe au compte suivant
            indice=indice+1
    #fermeture fichier
    fichier_lecture_seule.close()
    return correct #on renvoit le résultat de notre vérification de compte
  
   