from flask import Flask, render_template, request
from gestionDonnees import *
from datetime import datetime

app = Flask(__name__)

@app.route('/')
def connexion():
    return render_template('connexion.html',reponse="")
    
@app.route('/verifConnexion', methods=["POST"])
def valideConnexion():
    utilisateur=request.form['login']
    motDePasse=request.form['mdp']

    template=""
    compteValide=estValide(utilisateur,motDePasse)
    if compteValide: 
        template= render_template('accueil.html') #on affiche la page d'accueil
    else: #sinon on renvoi l'utilisateur sur la page de connexion
        template= render_template('connexion.html',reponse="Le nom d'utilisateur et/ou le mot passe non valide(s)")
    return template

#on démarre l'application web (le serveur web va se lancer et rester à l'écoute des requêtes HTTP sur le port choisi).
app.run(debug=True,port=5000)
