from flask import Flask, render_template, request
from flask import session, redirect, url_for

app = Flask(__name__)
app.secret_key = "ma phrase de passe"


@app.route("/")
def home():
    if not session.get("est_connecte"):
        return render_template("login.html")
    else:
        return render_template("mapage.html")


@app.route("/login", methods=["POST"])
def verif_connexion():
    if request.form['id'] == 'admin' and request.form["mdp"] == "password":
        session["est_connecte"] = True
    return redirect(url_for("home"))


@app.route("/logout")
def deconnexion():
    session["est_connecte"] = False
    return redirect(url_for("home"))


if __name__ == "__main__":
    app.debug = True
    app.run(port=8080)



