from flask import Flask, render_template
from flask import request


app = Flask(__name__)


@app.route("/")
def hello_world():
    return "<p>Hello, World!</p>"


@app.route("/mapage")
def vers_ma_page():
    return render_template("mapage.html")


@app.route("/perso/<nom>")
def vers_page_user(nom):
    arguments = request.args
    prenom = "David" if "prenom" not in arguments else arguments["prenom"]
    nom = nom.capitalize()
    return render_template("pageperso.html",
                           lenom=nom,
                           leprenom=prenom)


if __name__ == "__main__":
    app.debug = True
    app.run(port=8080)


    
